package com.yushu.system.mapper;

import java.util.List;
import com.yushu.system.domain.SysFolder;

/**
 * 文件夹Mapper接口
 * 
 * @author yushu
 * @date 2024-11-15
 */
public interface SysFolderMapper 
{
    /**
     * 查询文件夹
     * 
     * @param folderId 文件夹主键
     * @return 文件夹
     */
    public SysFolder selectSysFolderByFolderId(Long folderId);

    /**
     * 查询文件夹列表
     * 
     * @param sysFolder 文件夹
     * @return 文件夹集合
     */
    public List<SysFolder> selectSysFolderList(SysFolder sysFolder);

    /**
     * 新增文件夹
     * 
     * @param sysFolder 文件夹
     * @return 结果
     */
    public int insertSysFolder(SysFolder sysFolder);

    /**
     * 修改文件夹
     * 
     * @param sysFolder 文件夹
     * @return 结果
     */
    public int updateSysFolder(SysFolder sysFolder);

    /**
     * 删除文件夹
     * 
     * @param folderId 文件夹主键
     * @return 结果
     */
    public int deleteSysFolderByFolderId(Long folderId);

    /**
     * 批量删除文件夹
     * 
     * @param folderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysFolderByFolderIds(Long[] folderIds);
    
    /**
     * 查询子文件夹数量
     * 
     * @param folderId 文件夹ID
     * @return 结果
     */
    public int selectChildrenCountByFolderId(Long folderId);
}
